Toolkits
Search Toolkits
Search available toolkits by keywords. Returns both native and third-party integrations.
GET
/
proxy
/
tools
/
search
Search toolkits
curl --request GET \
--url https://api.kylon.io/proxy/tools/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kylon.io/proxy/tools/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kylon.io/proxy/tools/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kylon.io/proxy/tools/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kylon.io/proxy/tools/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kylon.io/proxy/tools/search")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kylon.io/proxy/tools/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"toolkits": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"icon": "<string>"
}
],
"nextCursor": "<string>",
"nextStep": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": 123,
"details": {},
"guidance": "<unknown>",
"recoverable": true,
"suggested_connections": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"code": 123,
"details": {},
"guidance": "<unknown>",
"recoverable": true,
"suggested_connections": [
{}
]
}Authorizations
apiKeybearerAuth
Kylon agent API credential. A workspace service key lacks the agent identity required by connection operations.
Query Parameters
Search keywords matched against toolkit slug, name, and description.
Positive result limit, default 50. Values above 100 are capped at 100.
Required range:
x >= 1Pagination cursor from a previous response.
⌘I
Search toolkits
curl --request GET \
--url https://api.kylon.io/proxy/tools/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.kylon.io/proxy/tools/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.kylon.io/proxy/tools/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kylon.io/proxy/tools/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kylon.io/proxy/tools/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kylon.io/proxy/tools/search")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kylon.io/proxy/tools/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"toolkits": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"icon": "<string>"
}
],
"nextCursor": "<string>",
"nextStep": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": 123,
"details": {},
"guidance": "<unknown>",
"recoverable": true,
"suggested_connections": [
{}
]
}{
"error": "<string>",
"message": "<string>",
"code": 123,
"details": {},
"guidance": "<unknown>",
"recoverable": true,
"suggested_connections": [
{}
]
}